Package javax.security.auth.message.callback

# Class SecretKeyCallback

java.lang.Object
javax.security.auth.message.callback.SecretKeyCallback

All Implemented Interfaces:
  `Callback`

public class SecretKeyCallback extends Object implements Callback
A callback enabling an authentication module to request a secret key from the runtime, by supplying an alias. Other request types may also be supported.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `SecretKeyCallback.AliasRequest`
  `static interface`
  `SecretKeyCallback.Request`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SecretKeyCallback(SecretKeyCallback.Request request)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SecretKey`
  `getKey()`
  `SecretKeyCallback.Request`
  `getRequest()`
  `void`
  `setKey(SecretKey key)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SecretKeyCallback

    public SecretKeyCallback(SecretKeyCallback.Request request)

- ## Method Details

  - ### getRequest

    public SecretKeyCallback.Request getRequest()

  - ### setKey

    public void setKey(SecretKey key)

  - ### getKey

    public SecretKey getKey()